summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Panagiotis Nikolaou <hostmaster@slackonly.com>2015-01-18 08:32:27 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-18 08:32:27 +0700
commit3df6da56fe36201dcc9b1a5d2b96460693a6cf78 (patch)
tree4b09bb14ecd9a657f79406b4e1046d117cdb6202 /development
parentb9d04f9b8564bf4305985bb90089d6a176863eab (diff)
downloadslackbuilds-3df6da56fe36201dcc9b1a5d2b96460693a6cf78.tar.gz
slackbuilds-3df6da56fe36201dcc9b1a5d2b96460693a6cf78.tar.xz
development/gr-osmosdr: Added (toolkit for building SDRs).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/gr-osmosdr/README11
-rw-r--r--development/gr-osmosdr/gr-osmosdr.SlackBuild96
-rw-r--r--development/gr-osmosdr/gr-osmosdr.info10
-rw-r--r--development/gr-osmosdr/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/development/gr-osmosdr/README b/development/gr-osmosdr/README
new file mode 100644
index 0000000000..a7638b861d
--- /dev/null
+++ b/development/gr-osmosdr/README
@@ -0,0 +1,11 @@
+By using the OsmoSDR block you can take advantage
+of a common software api in your application(s)
+independent of the underlying radio hardware.
+
+Depending to your hardware you may want to
+install some or all of the optional dependencies:
+rtl-sdr, uhd, osmo-sdr, gr-iqbal, hackrf.
+(the last two is recomended).
+
+Optional: MiriSDR, bladeRF, airspy and Dongle Pro+.
+(not available at slackbuilds.org)
diff --git a/development/gr-osmosdr/gr-osmosdr.SlackBuild b/development/gr-osmosdr/gr-osmosdr.SlackBuild
new file mode 100644
index 0000000000..8242ec18f7
--- /dev/null
+++ b/development/gr-osmosdr/gr-osmosdr.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for gr-osmosdr
+
+# Copyright 2015 Panagiotis Nikolaou, Karlovasi Samos, Gr
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gr-osmosdr
+VERSION=${VERSION:-0.1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_PREFIX_PATH=/usr/lib${LIBDIRSUFFIX}/cmake/gnuradio/gnuradio/ \
+ -DLIB_SUFFIX=$LIBDIRSUFFIX \
+ -DCMAKE_BUILD_TYPE=Release ..
+make
+make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README $PKG/usr/doc/$PRGNAM-$VERSION \
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/gr-osmosdr/gr-osmosdr.info b/development/gr-osmosdr/gr-osmosdr.info
new file mode 100644
index 0000000000..a878eebb55
--- /dev/null
+++ b/development/gr-osmosdr/gr-osmosdr.info
@@ -0,0 +1,10 @@
+PRGNAM="gr-osmosdr"
+VERSION="0.1.4"
+HOMEPAGE="http://sdr.osmocom.org/trac/wiki/GrOsmoSDR"
+DOWNLOAD="http://cgit.osmocom.org/gr-osmosdr/snapshot/gr-osmosdr-0.1.4.tar.gz"
+MD5SUM="33273ea915d23d9d42941b5f29b3505f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gnuradio python-cheetah"
+MAINTAINER="Panagiotis Nikolaou"
+EMAIL="hostmaster@slackonly.com"
diff --git a/development/gr-osmosdr/slack-desc b/development/gr-osmosdr/slack-desc
new file mode 100644
index 0000000000..81248bbee2
--- /dev/null
+++ b/development/gr-osmosdr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gr-osmosdr: gr-osmosdr (free software toolkit for building SDRs)
+gr-osmosdr:
+gr-osmosdr: By using the OsmoSDR block you can take advantage of a common
+gr-osmosdr: software api in your application(s) independent of the underlying
+gr-osmosdr: radio hardware.
+gr-osmosdr:
+gr-osmosdr: homepage: http://sdr.osmocom.org/trac/wiki/GrOsmoSDR
+gr-osmosdr:
+gr-osmosdr:
+gr-osmosdr:
+gr-osmosdr: